Bug 126121 - CAN-2004-0495 Sparse security fixes backported for 2.4 kernel
CAN-2004-0495 Sparse security fixes backported for 2.4 kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-16 07:12 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 20:59:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-16 07:12:37 EDT
Recently committed to the 2.6 kernel were enhancements from Al Viro
that enabled the Sparse source code checking tool to check for a
certain class kernel bugs. This class of bugs can lead to privilege
escalation vulnerabilities.  Some of these fixes also apply to the 2.4
kernel and have been backported.  Specifically affecting the RHEL kernels:

1. Direct write to a user-supplied address which can lead to privilege
escalation in the decnet, mpu401, and pss drivers.

2. Direct read of a user-supplied address can cause information leak
from kernel memory in the airo, asus_acpi, mpu401, and pss drivers.

3. Deadlock in the msnd driver.Direct write to a user-supplied address
which can lead to privilege escalation in the decnet, mpu401, and pss
drivers.

Direct read of a user-supplied address can cause information leak from
kernel memory in the airo, asus_acpi, mpu401, and pss drivers.

Deadlock in the msnd driver.
Comment 1 Mark J. Cox (Product Security) 2004-06-16 07:12:56 EDT
Errata in progress. 
Comment 2 Mark J. Cox (Product Security) 2004-06-16 08:46:16 EDT
(Note the decnet, mpu401, pss, and msnd drivers are classed as
unsupported in RHEL3)
Comment 3 Jay Turner 2004-06-17 20:59:38 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-255.html

Note You need to log in before you can comment on or make changes to this bug.